#include<bits/stdc++.h>
#include"partition.h"
using namespace std;
//#define int long long
void output(vector<int> a){
    for(auto x:a) cout<<x<<' ';
    cout<<'\n';
}
vector<int> solve(vector<int> A){
    int N=A.size();
    vector<int> res(N,0);
    return res;
}